Get all resource members
get
/api/boss/data/objects/ora/cxServiceCore/helpdesk/v1/$en/internalServiceRequests/{internalServiceRequests_id}/resourceMembers
Request
Path Parameters
-
internalServiceRequests_id(required): string
This path parameter maps to the following field defined in the Internal Service Requests REST resource:
- srNumber: The unique number that's used to identify a help desk request. You can edit the help desk request number to a format that's best suitable to your organizational requirements.
Query Parameters
-
$effectiveDate: string(date)
Effective date value in the ISO 8601 date format 'YYYY-MM-DD'. This date is required by business logic to search for effective-dated business objects.
-
$fields: string
Restricts the resource fields. Only the specified fields and mandatory system fields are returned.
-
$filter: string
The resource collection will be queried using the specified filter condition.
-
$includeTotalItems: boolean
Specifies whether the server should estimate the total number of records for a given query and include the count in the response.
-
$limit: integer(int32)
Restricts the number of resource items returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resource items.Default Value:
25 -
$offset: integer(int32)
Defines the starting position of the resource collection. If offset exceeds the resource count then no resource items are returned.Default Value:
0 -
$sortBy: string
Orders a resource collection based on the specified fields. The parameter value is a comma-separated string of field names, each optionally followed by a colon and "asc" (default) or "desc".
There's no request body for this operation.
Back to TopResponse
Default Response
An array of items response
Root Schema : internalServiceRequests-resourceMembers
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : internalServiceRequests-resourceMembers-item-response
Type:
Show Source
object-
CreatedBy: string
Title:
Created ByRead Only:trueMaximum Length:64The user who added the service request resource member. -
CreationDate: string
(date-time)
Title:
Creation DateRead Only:trueThe date and time when the service request resource member was created. -
DeleteFlag: boolean
Title:
Can DeleteRead Only:trueIndicates whether the user has access to delete the record. -
LastUpdateDate: string
(date-time)
Title:
Last Updated DateRead Only:trueThe date and time when the service request resource member record was last updated. -
LastUpdatedBy: string
Title:
Last Updated ByRead Only:trueMaximum Length:64The user who last updated the service request resource member record. -
LastUpdateLogin: string
Title:
Last Update LoginRead Only:trueMaximum Length:32The login of the user who last updated the service request resource member. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
MemberId: integer
(int64)
Title:
Member IDA unique identifier of the service request resource member. -
ObjectId: integer
(int64)
Title:
Service Request Team Member Resource IDThe unique identifier of the service request resource member. -
ObjectTypeCd: string
Title:
Object TypeRead Only:trueMaximum Length:30Default Value:ORA_SVC_RESOURCEIndicates whether the resource is an individual or a team. -
OwnerFlag: boolean
Title:
Assigned ToIndicates whether the service request is assigned to the resource member. If yes, the value is True, else the value is False. -
PartyUniqueName: string
Title:
Unique Party NameRead Only:trueMaximum Length:900The unique name of the service request resource member. -
ResourceEmailAddress: string
Title:
EmailRead Only:trueMaximum Length:320The email address of the resource member. -
ResourceFormattedAddress: string
Title:
Resource Formatted AddressRead Only:trueThe formatted address of the SR resource member. -
ResourceFormattedPhoneNumber: string
Title:
PhoneRead Only:trueThe formatted phone number of the resource member. -
ResourceName: string
Title:
NameMaximum Length:360The name of the service request resource member. -
ResourcePartyNumber: string
Title:
Resource NumberRead Only:trueMaximum Length:30The alternative key for the service request resource. -
SrId: integer
(int64)
Title:
Service Request IDThe unique identifier of the service request. -
SrNumber: string
Title:
Service Request NumberMaximum Length:30The alternative key for the service request number. -
UpdateFlag: boolean
Title:
Can UpdateRead Only:trueIndicates whether the user has access to update the record. -
UserGUID: string
Title:
User GUIDRead Only:trueMaximum Length:64The global unique identifier of the service request resource member. -
UserId: integer
(int64)
Title:
User IDRead Only:trueThe unique user identifier of the service request resource member. -
Username: string
Title:
User NameRead Only:trueMaximum Length:100The user name of the resource member.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.